Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 11 Jun 2022 08:04:07 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery This is unacceptable that my delivery didnt delivery it to me properly I cannot remember how many times I called and informed the agent that I will be available at 6pm onwards because of Im working. i supposed to receive my items on May 31st and stayed at home whole day but failed to deliver in on time. Very unsatisfactory customer service I would give 1 star for this kind of service and the delivery guy are rude and theyre telling me that they working 9 to 6pm. Almost 1 week now Ive been waiting for nothing. And 2 days ago I called again the agent that please let the driver come on Monday because my husband will be home on that day. But because of communication gap and failed to give customer service you returned back the item to warehouse!!!! Unbelievable https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4457547